Bug 1414335 (CVE-2016-8318) - CVE-2016-8318 mysql: Server: Security: Encryption unspecified vulnerability (CPU Jan 2017)
Summary: CVE-2016-8318 mysql: Server: Security: Encryption unspecified vulnerability ...
Keywords:
Status: CLOSED NOTABUG
Alias: CVE-2016-8318
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 1414362
TreeView+ depends on / blocked
 
Reported: 2017-01-18 10:17 UTC by Adam Mariš
Modified: 2021-02-17 02:45 UTC (History)
26 users (show)

Fixed In Version: mysql 5.6.35, mysql 5.7.17
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-02-14 14:36:25 UTC


Attachments (Terms of Use)

Description Adam Mariš 2017-01-18 10:17:44 UTC
Vulnerability in the MySQL Server component of Oracle MySQL (subcomponent: Server: Security: Encryption ). Supported versions that are affected are 5.6.34 and earlier and 5.7.16 and earlier. Easily exploitable vulnerability allows low privileged attacker with network access via multiple protocols to compromise MySQL Server. Successful attacks require human interaction from a person other than the attacker and while the vulnerability is in MySQL Server, attacks may significantly impact additional products. Successful attacks of this vulnerability can result in unauthorized ability to cause a hang or frequently repeatable crash (complete DOS) of MySQL Server. 

External References:

http://www.oracle.com/technetwork/security-advisory/cpujan2017-2881727.html#AppendixMSQL

Comment 1 Adam Mariš 2017-01-18 11:54:10 UTC
Created community-mysql tracking bugs for this issue:

Affects: fedora-all [bug 1414386]

Comment 2 Tomas Hoger 2017-02-14 14:36:25 UTC
It seems this CVE is for this change mentioned in the MySQL 5.6.35 and 5.7.17 release notes:

  MySQL Enterprise Notes

  Enterprise Encryption for MySQL Enterprise Edition now enables server
  administrators to impose limits on maximum key length by setting
  environment variables. These can be used to prevent clients from using
  excessive CPU resources by passing very long key lengths to key-generation
  operations. For more information, see Enterprise Encryption Usage and
  Examples. (Bug #19687742)

https://dev.mysql.com/doc/relnotes/mysql/5.6/en/news-5-6-35.html
https://dev.mysql.com/doc/relnotes/mysql/5.7/en/news-5-7-17.html

Affected code is specific to MySQL Enterprise, not available in the community version.


Note You need to log in before you can comment on or make changes to this bug.